[VCS] gnunet branch, debian, updated. debian/0.8.0c-3-17-g88ecc26
Daniel Baumann
daniel at debian.org
Sun Aug 16 15:55:10 UTC 2009
The following commit has been merged in the debian branch:
commit a18ebb75d4fead5eea56ff7bd6d4e53ff2a06a98
Author: Daniel Baumann <daniel at debian.org>
Date: Thu Aug 13 17:42:54 2009 +0200
Applying some cosmetics to gnunet-server postinst script.
diff --git a/debian/gnunet-server.postinst b/debian/gnunet-server.postinst
index 540df50..ceff6d7 100644
--- a/debian/gnunet-server.postinst
+++ b/debian/gnunet-server.postinst
@@ -22,16 +22,16 @@ case "${1}" in
# Read default values
CONFIG_FILE="/etc/default/gnunet-server"
- GNUNETD_HOME="`gnunet-update --get=PATHS:GNUNETD_HOME`" || true
+ GNUNETD_HOME="$(gnunet-update --get=PATHS:GNUNETD_HOME)" || true
if [ ! -d "${GNUNETD_HOME}" ]
then
- echo -n "Updating /etc/gnunetd.conf with new [PATHS] mandatory section: "
+ echo -n "Updating /etc/gnunetd.conf with new [PATHS] mandatory section:"
# Using default value
GNUNETD_HOME="/var/lib/gnunet"
- CONFIG_NEW="`/bin/tempfile`"
+ CONFIG_NEW="$(/bin/tempfile)"
cat > "${CONFIG_NEW}" << EOF
[PATHS]
@@ -45,28 +45,28 @@ EOF
rm -f "${CONFIG_NEW}"
chmod 644 /etc/gnunetd.conf
- echo "done."
+ echo " done."
fi
# Creating gnunet group if needed
if ! getent group ${_GROUPNAME} > /dev/null
then
- echo -n "Creating new GNUnet group ${_GROUPNAME}: "
+ echo -n "Creating new GNUnet group ${_GROUPNAME}:"
addgroup --quiet --system ${_GROUPNAME}
- echo "done."
+ echo " done."
fi
# Creating gnunet user if needed
if ! getent passwd ${_USERNAME} > /dev/null
then
- echo -n "Creating new GNUnet user ${_USERNAME}: "
+ echo -n "Creating new GNUnet user ${_USERNAME}:"
adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home ${_USERNAME}
- echo "done."
+ echo " done."
fi
# Update files and directories permissions.
# Assuming default values, this *should* not be changed.
- echo -n "Updating files and directories permissions: "
+ echo -n "Updating files and directories permissions:"
chown -R ${_USERNAME}:${_GROUPNAME} /var/run/gnunetd
chown -R ${_USERNAME}:${_GROUPNAME} /var/log/gnunetd
# Use the new "gnunet-update -g"
@@ -75,10 +75,10 @@ EOF
GNUNETD_HOME=`gnunet-update --get=GNUNETD:GNUNETD_HOME`
fi
chown -R ${_USERNAME}:${_GROUPNAME} ${GNUNETD_HOME}
- echo "done."
+ echo " done."
# Writing new values to configuration file
- echo -n "Writing new configuration file: "
+ echo -n "Writing new configuration file:"
CONFIG_NEW=`/bin/tempfile`
cat > "${CONFIG_NEW}" <<EOF
@@ -92,7 +92,7 @@ GNUNET_AUTOSTART="${_AUTOSTART}"
EOF
cp -f "${CONFIG_NEW}" "${CONFIG_FILE}"
- echo "done."
+ echo " done."
# Secure access to the data directory
chmod 0700 "${GNUNETD_HOME}" || true
--
gnunet
More information about the gnunet-vcs
mailing list